Get tax code information
GET /tax-code
Retrieves the detailed information of a tax code based on the tax code value provided. This API does not require specifying a provider.
Query Parameters
| Name | Type | Required | Description |
|---|---|---|---|
tax | string | ✅ | Tax code |
Response
| Name | Type | Description |
|---|---|---|
ma_so_thue | string | The company's tax code. |
masothue_id | string | Tax code ID |
ten_cty | string | Full name of the company/business. |
dia_chi | string | Registered business address of the company. |
cqthuecap_tinh | string / null | Managing provincial tax authority (null if no information is available). |
cqthue_ql | string | Directly managing tax authority. |
nguoi_dai_dien | string | Full name of the company's legal representative. |
ngay_thanh_lap | Date (YYYY-MM-DD) | Company establishment date in year-month-day format. |
tthai | string / null | Company operating status code (null if no information is available) |
ten_tthai | string / null | Descriptive name of the company's operating status (null if no information is available). |
- cURL
- Response
curl --location 'https://stag-invoice-hub.1invoice.vn/tax-code?tax=0316887099'
{
"ma_so_thue": "0316887099",
"masothue_id": "0316887099",
"ten_cty": "CÔNG TY CỔ PHẦN GIẢI PHÁP ATOM",
"dia_chi": "Phòng 802,Lầu 8, tòa nhà Vietnam Business Center, 57-59 Hồ T, Phường Sài Gòn, Thành phố Hồ Chí Minh, Việt Nam",
"cqthuecap_tinh": "Chi cục thuế Hồ Chí Minh",
"cqthue_ql": "Tân Định - Thuế cơ sở 1 Thành phố Hồ Chí Minh",
"nguoi_dai_dien": "Trần Nguyễn Ngọc Trân",
"ngay_thanh_lap": "2021-05-31",
"tthai": null,
"ten_tthai": null
}